diff --git a/changelog b/changelog
index 7d3f2df..6ff3473 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20070909 tpd src/algebra/newton.spad included in fffg.spad
+20070909 tpd src/algebra/Makefile remove newton.spad (duplicate)
 20070907 tpd src/algebra/acplot.spad fix PlaneAlgebraicCurvePlot.help NOISE
 20070907 tpd src/algebra/Makefile make regression respect NOISE variable
 20070907 tpd src/input/Makefile make regression respect NOISE variable
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 445aac8..1e47325 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -1265,7 +1265,7 @@ SPADFILES= \
  ${OUTSRC}/mts.spad ${OUTSRC}/multfact.spad ${OUTSRC}/multpoly.spad \
  ${OUTSRC}/multsqfr.spad \
  ${OUTSRC}/naalgc.spad ${OUTSRC}/naalg.spad \
- ${OUTSRC}/newdata.spad ${OUTSRC}/newpoint.spad ${OUTSRC}/newton.spad \
+ ${OUTSRC}/newdata.spad ${OUTSRC}/newpoint.spad \
  ${OUTSRC}/newpoly.spad ${OUTSRC}/nlinsol.spad ${OUTSRC}/nlode.spad \
  ${OUTSRC}/npcoef.spad \
  ${OUTSRC}/nregset.spad \
@@ -1427,7 +1427,6 @@ DOCFILES= \
  ${DOC}/multsqfr.spad.dvi \
  ${DOC}/naalgc.spad.dvi ${DOC}/naalg.spad.dvi ${DOC}/ndftip.as.dvi \
  ${DOC}/nepip.as.dvi ${DOC}/newdata.spad.dvi ${DOC}/newpoint.spad.dvi \
- ${DOC}/newton.spad.dvi \
  ${DOC}/newpoly.spad.dvi ${DOC}/nlinsol.spad.dvi ${DOC}/nlode.spad.dvi \
  ${DOC}/noptip.as.dvi ${DOC}/npcoef.spad.dvi ${DOC}/nqip.as.dvi \
  ${DOC}/nrc.as.dvi ${DOC}/nregset.spad.dvi ${DOC}/nsfip.as.dvi \
diff --git a/src/algebra/newton.spad.pamphlet b/src/algebra/newton.spad.pamphlet
deleted file mode 100644
index 6f588bc..0000000
--- a/src/algebra/newton.spad.pamphlet
+++ /dev/null
@@ -1,46 +0,0 @@
-\documentclass{article}
-\usepackage{amsthm,amsmath,axiom}
-\begin{document}
-\title{newton.spad}
-\author{Martin Rubey}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\tableofcontents
-\section{package NEWTON NewtonInterpolation}
-<<package NEWTON NewtonInterpolation>>=
-)abbrev package NEWTON NewtonInterpolation
-++ Description:
-++ This package exports Newton interpolation for the special case where the
-++ result is known to be in the original integral domain
-NewtonInterpolation F: Exports == Implementation where
-    F: IntegralDomain
-    Exports == with
-      newton: List F -> SparseUnivariatePolynomial F
-
-    Implementation == add
-
-      differences(yl: List F): List F == 
-        [y2-y1 for y1 in yl for y2 in rest yl]
-
-      z:SparseUnivariatePolynomial(F) := monomial(1,1)
-
--- we assume x=[1,2,3,...,n]
-      newtonAux(k: F, fact: F, yl: List F): SparseUnivariatePolynomial(F) ==
-        if empty? rest yl 
-        then ((yl.1) exquo fact)::F::SparseUnivariatePolynomial(F)
-        else ((yl.1) exquo fact)::F::SparseUnivariatePolynomial(F) 
-             + (z-k::SparseUnivariatePolynomial(F)) _
-               * newtonAux(k+1$F, fact*k, differences yl)
-
-
-      newton yl == newtonAux(1$F, 1$F, yl)
-@
-<<*>>=
-<<package NEWTON NewtonInterpolation>>
-@
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
